Skip to main content

K-line Streams

Subscribe

{
"method": "SUBSCRIPTION",
"params": [
"spot@public.kline.v3.api.pb@BTCUSDT@Min15"
]
}

The K-line stream pushes updates for the requested K-line type every second (latest candle).

Request Parameters spot@public.kline.v3.api.pb@<symbol>@<interval>

Response Parameters

ParameterData TypeDescription
publicspotklineobjectK-line information
intervalintervalK-line interval
windowstartlongStart time of the K-line
openingpricebigDecimalOpening trade price during this K-line
closingpricebigDecimalClosing trade price during this K-line
highestpricebigDecimalHighest trade price during this K-line
lowestpricebigDecimalLowest trade price during this K-line
volumebigDecimalTrade volume during this K-line
amountbigDecimalTrade amount during this K-line
windowendlongEnd time of the K-line
symbolstringTrading pair
symbolidstringTrading pair ID
createtimelongEvent time

K-line interval parameters:

Min -> minutes; Hour -> hours; Day -> days; Week -> weeks; M -> month

  • Min1
  • Min5
  • Min15
  • Min30
  • Min60
  • Hour4
  • Hour8
  • Day1
  • Week1
  • Month1

Sample data

{
"channel": "spot@public.kline.v3.api.pb@BTCUSDT@Min15",
"publicspotkline": {
"interval": "Min15",
"windowstart": 1736410500,
"openingprice": "92925",
"closingprice": "93158.47",
"highestprice": "93158.47",
"lowestprice": "92800",
"volume": "36.83803224",
"amount": "3424811.05",
"windowend": 1736411400
},
"symbol": "BTCUSDT",
"symbolid": "2fb942154ef44a4ab2ef98c8afb6a4a7",
"createtime": 1736410707571
}